﻿using System;
using System.Collections.Generic;

namespace Sda.Modeling.Provider.Classes
{
    internal class AssociationElement : Extendable, IAssociation
    {
        public IStartRole StartRole
        {
            get;
            set;
        }

        public IEndRole EndRole
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }

        public IModel Model
        {
            get;
            set;
        }


        public IClass AssociationClass
        {
            get;
            set;
        }
    }
}
