﻿using System;
using System.Collections.Generic;

namespace Sda.Modeling.Provider.Classes
{
    internal class PackageElement : Extendable, IPackage
    {
        public string Name
        {
            get;
            set;
        }

        public ICollection<IClass> Classes
        {
            get;
            set;
        }

        public IModel Model
        {
            get;
            set;
        }

        public IPackage Parent
        {
            get;
            set;
        }

        public ICollection<IPackage> Children
        {
            get;
            set;
        }
    }
}
