﻿using System;
using System.Collections.Generic;

namespace Sda.Modeling.Provider.Classes
{
    internal abstract class Role : Versionable, IRole
    {
        public string Name
        {
            get;
            set;
        }

        public string Multiplicity
        {
            get;
            set;
        }

        public bool IsNavigable
        {
            get;
            set;
        }

        public IClass Class
        {
            get;
            set;
        }

        public IAssociation Association
        {
            get;
            set;
        }
    }
}
