﻿using System;
using System.Runtime.Serialization;

namespace Sda.Modeling.Provider.Providers.Xmi
{
    [Serializable]
    public sealed class XmiProviderException : Exception
    {
        public XmiProviderException() { }
        public XmiProviderException(string message) : base(message) { }
        public XmiProviderException(string message, Exception inner) : base(message, inner) { }
        XmiProviderException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
